-- This information tells other players more about the mod
name = "ESS MAINTENCE 14"
description = "worldgen/cleaning/announcement/digablereed/nograsssgekkodisease/starteritem/novote/extraslot/icebox/stack/storage/autotrap/bulbberry/touchstone/durability/realisticplacer/betterpet/dontdrop/houndcompanion/goodbehaviour/showme/beefalodomestication/island/underground"
author = "pinkmollies"
version = "3.3.0"
version_compatible = "1.0.0"

-- This is the URL name of the mod's thread on the forum; the part after the index.php? and before the first & in the URL
-- Example:
-- http://forums.kleientertainment.com/index.php?/files/file/202-sample-mods/
-- becomes
-- /files/file/202-sample-mods/
forumthread = ""

-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 10

--This lets the clients know that they need to download the mod before they can join a server that is using it.
all_clients_require_mod = true

--This let's the game know that this mod doesn't need to be listed in the server's mod listing
client_only_mod = false

--Let the mod system know that this mod is functional with Don't Starve Together
dst_compatible = true

--These tags allow the server running this mod to be found with filters from the server listing screen
server_filter_tags = {"environment", "worldgen"}

--Adds an icon to the mod
icon_atlas = ""
icon = ""

configuration_options =
{
	{
		name = "CLEAN_TIME",
		label = "Clean Time",
		hover = "Sets how often the server should clean",
		options =	{
						{description = "30 seconds", 			data = 30},
						{description = "5 minutes", 			data = 300},
						{description = "15 minutes", 			data = 900},
						{description = "30 minutes", 			data = 1800},
						{description = "1 hour", 				data = 3600},
						{description = "1 and a half hours", 	data = 5400},
						{description = "2 hours", 				data = 7200},
						{description = "3 hours", 				data = 10800},
					},
		default = 3600,
	},
	{
		name = "CLEAN_WARNING_TIME",
		label = "Warning Time",
		hover = "Sets how many minutes a warning should show before cleaning the server.",
		options =	{
						{description = "1 minute", 		data = 60},
						{description = "5 minutes", 	data = 300},
					},
		default = 300,
	},

-- Regeneration Options
	{
		name = "",
		label = "REGENERATION OPTIONS",
			hover = "",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "WorldResourceRegenerationSpeed",
		label = "World Resource Regeneration Speed",
			hover = "Resource Regeneration speed. Has a personal timer, not using world time",
		options =	{
						{description = "Disabled", data = 0},
						{description = "1 Day", data = 1},
						{description = "2 Days", data = 2},
						{description = "3 Days", data = 3},
						{description = "4 Days", data = 4},
						{description = "5 Days", data = 5},
						{description = "6 Days", data = 6},
						{description = "7 Days", data = 7},
						{description = "8 Days", data = 8},
						{description = "9 Days", data = 9},
						{description = "10 Days", data = 10},
						{description = "11 Days", data = 11},
						{description = "12 Days", data = 12},
						{description = "13 Days", data = 13},
						{description = "14 Days", data = 14},
						{description = "15 Days", data = 15},
						{description = "16 Days", data = 16},
						{description = "17 Days", data = 17},
						{description = "18 Days", data = 18},
						{description = "19 Days", data = 19},
						{description = "20 Days", data = 20},
					},
		default = 20,
	},
	{
		-- format of the value: list of prefab specifications, separated by commas (,)
		-- a prefab specification is "prefabname:number", where number is that prefab's regeneration speed, it has to be an integer in the range of [0,2*WorldResourceRegenerationSpeed)
		-- speed 0 means don't regenerate the prefab
		-- example: berrybush:5,grass:4,beehive:7,spiderden:9,wasphive:0
		-- the option's value doesn't replace settings in modmain, it overwrites/adds to them
		-- that is, if you want to add one new prefab to the regeneration list, specify just it, you don't need to list all other prefabs
		-- if you want to change the regeneration speed of one prefab, specify just it, you don't need to list other prefabs
		-- however, if you want to enable regeneration of just one prefab and disable regeneration of all other prefabs, you will need to specify all those other prefabs with the speed of zero
		name = "CustomPrefabs",
		label = "Custom prefabs",
			hover = "List of prefabs (use dedicated server's modoverrides.lua to set it)",
		options =	{
						{description = "", data = ""},
					},
		default = "reeds:5,rock_obsidian:5,rock_charcoal:5,rock_slimey:5,mintybush:5,bittersweetbush:5,coffeebush:5,sandhill:5,crate:5,bambootree:5,rock_limpet:5,palmtree:5,jungletree:5,pighouse_blue:5,pighouse_yellow:5,pighouse_gray:5,colored_rabbithouse:5,hatrabbithouse:5,rabbithole_snow:5,leif_snow:5,reingoat:5,yeti:5,spiderden_poisonous:5,snake_hole:5,mutant_rabbithouse:5,beardlordhouse:5,mermhouse_blue:5,wildbeaver_house:5,wildbore_house:5,pighouse_cyborg:5,seashell_beached:5,sculpture_bishophead:5,sculpture_knighthead:5,sculpture_rooknose:5,sculpture_knightbody:5,sculpture_bishopbody:5,sculpture_rookbody:5,houndmound:5,spider_dropper:20,chessjunk1:20,chessjunk2:20,chessjunk3:20,knight_nightmare:20,bishop_nightmare:20,rook_nightmare:30,ruins_statue_head_nogem:20,ruins_statue_head:20,ruins_statue_mage_nogem:20,ruins_statue_mage:20,wall_ruins:20,ruins_chipbowl:20,ruins_bowl:20,ruins_vase:20,ruins_chair:20,ruins_table:20,minotaur:20,lightninggoat:5,skullchest:1,yeti:10,reingoat:10,leif_snow:10,ancient_altar:20,slurtlehole:5,rock_moon:5,moonrocknugget:5,rock1:10,rock2:10,rock_flintless:10,stalagmite_tall_full:20,stalagmite_tall_med:20,stalagmite_tall_low:20,stalagmite_full:20,stalagmite_med:20,stalagmite_low:20",
	},
-- Other Options
	{
		name = "",
		label = "",
			hover = "",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "",
		label = "OTHER OPTIONS",
			hover = "",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "EnableTurfsRegeneration",
		label = "Turfs Regeneration",
			hover = "Enable regeneration of turfs",
		options =	{
						{description = "Disabled", data = false},
						{description = "Enabled", data = true},
					},
		default = true,
	},
	{
		name = "SpawnFreeZone",
		label = "Spawn Free Zone",
			hover = "Set the size of Spawn Free Zone\n4 is about the size of 1 turf\nSize gets calculated from one structure in the zone",
		options =	{
						{description = "Disabled", data = 0},
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
					},
		default = 12,
	},
	{
		name = "EnableGraveStoneRemoval",
		label = "Gravestone Removal",
			hover = "Remove Gravestones as well when a Mound is dug up",
		options =	{
						{description = "Disabled", data = 0},
						{description = "Enabled", data = 1},
					},
		default = 1,
	},
	{
		name = "EnableDebug",
		label = "Enable Debug",
			hover = "Writes various information to server log",
		options =	{
						{description = "Disabled", data = 0},
						{description = "Enabled", data = 1},
					},
		default = 0,
	},
{
		name = "ANNOUNCE_OPEN",
		label = "Announce",
		options =
		{
			{description = "On", data = true},
			{description = "Off", data = false},
		},
		default = true,
	},
	{
		name = "SAY_OPEN",
		label = "Say",
		options =
		{
			{description = "On", data = true},
			{description = "Off", data = false},
		},
		default = true,
	},
	{
		name = "ANNOUNCE_CD",
		label = "Announce Interval (min)",
		options =
		{
			{description = "0.5", data = 0.5},
			{description = "1", data = 1},
			{description = "2", data = 2},
			{description = "3", data = 3},
			{description = "5", data = 5},
			{description = "10", data = 10},
		},
		default = 5,
	},
	{
		name = "ANNOUNCE_ORDER",
		label = "Announce Order",
		options =
		{
			{description = "Order", data = true},
			{description = "Random", data = false},
		},
		default = true,
	},
	{
		name = "SAY_SHOWTIME",
		label = "Say Show Time(sec)",
		options =
		{
			{description = "3", data = 3},
			{description = "5", data = 5},
			{description = "7", data = 7},
			{description = "10", data = 10},
		},
		default = 10,
	},
	{
		name = "SAY_DELAY",
		label = "Say Delay (sec)",
		options =
		{
			{description = "1", data = 1},
			{description = "3", data = 3},
			{description = "5", data = 5},
		},
		default = 5,
	},
	{
		name = "ANNOUNCE_TEXT",
		label = "Announce Message",
		default = {"WARNING: teleporting with followers may crash you","TIP: type in /home to go to (COMMUNITY CENTRAL)","REVIVE by haunting TRIANGLES(missing name) on pathways or on islands","PLEASE REPORT GRIEFERS TO MODERATORS OR ADMINS ON THE SERVER","For more information about this server visit Group Page"},
	},
	{
		name = "ANNOUNCE_FIRSTJION_TEXT",
		label = "First Join Announce Text",
		default = "Welcome to Christmas Special Endless Social Server",
	},
	{
		name = "SAY_FIRSTJION_TEXT",
		label = "First Join Say Text",
		default = "Lets Adventure and make Friends", -- Say Something.
	},
	{
		name = "SAY_EVERYJION_TEXT",
		label = "Every Join Say Text",
		default = "Remember to be respectful!", -- Say Nothing.
	},
	{
		name = "SAY_DEATH_TEXT",
		label = "Death Say Text",
		default = "ouch! the krampus got me",
	},
	{
		name = "SAY_RESURRECTION_TEXT",
		label = "Resurrection Say Text",
		default = "Ohh my! I live to see another Christmas",
	},
	{
		name = "is_season_items",
		label = "Give Season Items",
		hover = "",
		options =	{
						{description = "Yes", data = 1, hover = ""},
						{description = "No", data = 0, hover = ""},
					},
		default = 1,
	},
	{
		name = "food_give",
		label = "Give Foods",
		hover = "Give food when summer and winter.",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "1", data = 1, hover = ""},
						{description = "2", data = 2, hover = ""},
						{description = "3", data = 3, hover = ""},
						{description = "4", data = 4, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "6", data = 6, hover = ""},
						{description = "7", data = 7, hover = ""},
					},
		default = 2,
	},
	{
		name = "num_goldnugget",
		label = "Give Gold Nugget",
		hover = "",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "10", data = 10, hover = ""},
						{description = "15", data = 15, hover = ""},
						{description = "20", data = 20, hover = ""},
					},
		default = 0,
	},
	{
		name = "num_flint",
		label = "Give Flint",
		hover = "",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "3", data = 3, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "10", data = 10, hover = ""},
						{description = "15", data = 15, hover = ""},
						{description = "20", data = 20, hover = ""},
						{description = "25", data = 25, hover = ""},
						{description = "30", data = 30, hover = ""},
						{description = "35", data = 35, hover = ""},
						{description = "40", data = 40, hover = ""},
					},
		default = 5,
	},
{
		name = "num_nitre",
		label = "Give Nitre",
		hover = "",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "4", data = 4, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "9", data = 9, hover = ""},
						{description = "12", data = 12, hover = ""},
						{description = "15", data = 15, hover = ""},
						{description = "20", data = 20, hover = ""},
						{description = "25", data = 25, hover = ""},
						{description = "30", data = 30, hover = ""},
						{description = "35", data = 35, hover = ""},
						{description = "40", data = 40, hover = ""},
					},
		default = 9,
	},
	{
		name = "num_rocks",
		label = "Give Rocks",
		hover = "",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "10", data = 10, hover = ""},
						{description = "15", data = 15, hover = ""},
						{description = "20", data = 20, hover = ""},
						{description = "25", data = 25, hover = ""},
						{description = "30", data = 30, hover = ""},
						{description = "35", data = 35, hover = ""},
						{description = "40", data = 40, hover = ""},
					},
		default = 0,
	},
	{
		name = "num_log",
		label = "Give Log",
		hover = "",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "4", data = 4, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "10", data = 10, hover = ""},
						{description = "12", data = 12, hover = ""},
						{description = "15", data = 15, hover = ""},
						{description = "20", data = 20, hover = ""},
						{description = "25", data = 25, hover = ""},
						{description = "30", data = 30, hover = ""},
						{description = "35", data = 35, hover = ""},
						{description = "40", data = 40, hover = ""},
					},
		default = 12,
	},
	{
		name = "num_cutgrass",
		label = "Give Grass",
		hover = "",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "10", data = 10, hover = ""},
						{description = "15", data = 15, hover = ""},
						{description = "20", data = 20, hover = ""},
						{description = "25", data = 25, hover = ""},
						{description = "30", data = 30, hover = ""},
						{description = "35", data = 35, hover = ""},
						{description = "40", data = 40, hover = ""},
					},
		default = 15,
	},
	{
		name = "num_twigs",
		label = "Give Twigs",
		hover = "",
		options =	{
						{description = "No", data = 0, hover = ""},
						{description = "3", data = 3, hover = ""},
						{description = "5", data = 5, hover = ""},
						{description = "10", data = 10, hover = ""},
						{description = "15", data = 15, hover = ""},
						{description = "20", data = 20, hover = ""},
						{description = "25", data = 25, hover = ""},
						{description = "30", data = 30, hover = ""},
						{description = "35", data = 35, hover = ""},
						{description = "40", data = 40, hover = ""},
					},
		default = 15,
	},
	{
		name = "show_starter",
		label = "show vote starter(server log)",
		options =
		{
			{description = "true", data = true},
			{description = "false", data = false},
		},
		default = true,
		hover = "show vote starter(server log)",
	},
	{
		name = "no_rollback",
		label = "no rollback",
		options =
		{
			{description = "true", data = true},
			{description = "false", data = false},
		},
		default = false,
		hover = "no rollback vote",
	},
	{
		name = "no_regenerate",
		label = "no regenerate",
		options =
		{
			{description = "true", data = true},
			{description = "false", data = false},
		},
		default = true,
		hover = "no regenerate vote",
	},
	{
		name = "no_kick",
		label = "no kick",
		options =
		{
			{description = "true", data = true},
			{description = "false", data = false},
		},
		default = false,
		hover = "no kick vote",
	},
	{
		name = "kick_without",
		label = "kick without",
		options =
		{
			{description = "null", data = {}},
			{description = "someone", data = {"KU_xxxxyyyy", "KU_aaaabbbb"}},
		},
		default = {},
		hover = "kick without KU_xxxxyyyy",
	},
	{
		name = "reflect_kick",
		label = "reflect kick",
		options =
		{
			{description = "true", data = true},
			{description = "false", data = false},
		},
		default = true,
		hover = " if someone try to kick user in kick-without-list will be kick",
	},
{
		name = "speed",
		label = "HOW SLOWER DO U WANT?",
        hover = "It will change the perish speed of foods.",
		options =
	{
		{description = "PERISH VERY FAST", data = "100000", hover = "Foods will perish in 10 second."},
		{description = "20 times faster", data = "20", hover = "The perishing speed will be 20 times faster."},
		{description = "10 times faster", data = "10", hover = "The perishing speed will be 10 times faster."},
		{description = "8 times faster", data = "8", hover = "The perishing speed will be 8 times faster."},
		{description = "6 times faster", data = "6", hover = "The perishing speed will be 6 times faster."},
		{description = "4 times faster", data = "4", hover = "The perishing speed will be 4 times faster."},
		{description = "2 times faster", data = "2", hover = "The perishing speed will be 2 times faster."},
		{description = "2 times slower", data = "0.5", hover = "The perishing speed will be 2 times slower."},
		{description = "4 times slower", data = "0.25", hover = "The perishing speed will be 4 times slower."},
		{description = "6 times slower", data = "1/6", hover = "The perishing speed will be 6 times slower."},
		{description = "8 time slower", data = "0.125", hover = "The perishing speed will be 8 times slower."},
		{description = "10 times slower", data = "0.1", hover = "The perishing speed will be 10 times slower."},
		{description = "20 times slower", data = "0.05", hover = "The perishing speed will be 20 times slower."},
		{description = "NEVER PERISH", data = "0", hover = "The foods will always stay fresh."},
		{description = "FRESHER FOOD", data = "-20", hover = "The foods will be fresher."},
	},
		default = "0",
	},
{
		name = "MAXSTACKSIZE",
		label = "Max stacksize",
		options =	{
						{description = "20", data = 20},
						{description = "40", data = 40},
						{description = "60", data = 60},
						{description = "80", data = 80},
						{description = "100", data = 100},
						{description = "120", data = 120},
						{description = "150", data = 150},
						{description = "200", data = 200},
						{description = "250", data = 250},
					},

		default = 100,
	},

{
        name = "HAMMER_LOOT_PERCENT",
        label = "Hammer drop rate",
        options = 
        {
            {description = "50% (default)", data = 0.5},
            {description = "75%", data = 0.75},
			{description = "90%", data = 0.9},
			{description = "100", data = 1}
        }, 
        default = 0.5,
    },
	{
        name = "AXE_USES",
        label = "Axe uses",
        options = 
        {
            {description = "100 (default)", data = 100},
            {description = "200", data = 200},
			{description = "300", data = 300},
			{description = "400", data = 400},
			{description = "500", data = 500}
        }, 
        default = 100,
    },
	{
        name = "HAMMER_USES",
        label = "Hammer uses",
        options = 
        {
            {description = "75 (default)", data = 75},
            {description = "150", data = 150},
			{description = "275", data = 275},
			{description = "300", data = 300},
			{description = "375", data = 375}
        }, 
        default = 75,
    },
	{
        name = "SHOVEL_USES",
        label = "Shovel uses",
        options = 
        {
            {description = "25 (default)", data = 25},
            {description = "50", data = 50},
			{description = "75", data = 75},
			{description = "100", data = 100},
			{description = "125", data = 125}
        }, 
        default = 25,
    },
	{
        name = "PITCHFORK_USES",
        label = "Pitchfork uses",
        options = 
        {
            {description = "25 (default)", data = 25},
            {description = "50", data = 50},
			{description = "75", data = 75},
			{description = "100", data = 100},
			{description = "125", data = 125}
        }, 
        default = 25,
    },
	{
        name = "PICKAXE_USES",
        label = "Pickaxe uses",
        options = 
        {
            {description = "33 (default)", data = 33},
            {description = "66", data = 66},
			{description = "100", data = 100},
			{description = "133", data = 133},
			{description = "166", data = 166}
        }, 
        default = 33,
    },
	{
        name = "BUGNET_USES",
        label = "Bug Net uses",
        options = 
        {
            {description = "10 (default)", data = 10},
            {description = "20", data = 20},
			{description = "30", data = 30},
			{description = "40", data = 40},
			{description = "50", data = 50}
        }, 
        default = 10,
    },
	{
        name = "FISHINGROD_USES",
        label = "Fishong Rod uses",
        options = 
        {
            {description = "9 (default)", data = 9},
            {description = "18", data = 18},
			{description = "27", data = 27},
			{description = "36", data = 36},
			{description = "45", data = 45}
        }, 
        default = 9,
    },
	{
        name = "MULTITOOL_AXE_PICKAXE_USES",
        label = "Pick/Axe uses",
        options = 
        {
            {description = "400 (default)", data = 400},
            {description = "800", data = 800},
			{description = "1200", data = 1200},
			{description = "1600", data = 1600},
			{description = "2000", data = 2000}
        }, 
        default = 2000,
    },
	{
        name = "SPEAR_USES",
        label = "Spear uses",
        options = 
        {
            {description = "150 (default)", data = 150},
            {description = "300", data = 300},
			{description = "450", data = 450},
			{description = "600", data = 600},
			{description = "750", data = 750}
        }, 
        default = 300,
    },
	{
        name = "WATHGRITHR_SPEAR_USES",
        label = "Battle Spear uses",
        options = 
        {
            {description = "200 (default)", data = 200},
            {description = "400", data = 400},
			{description = "600", data = 600},
			{description = "800", data = 800},
			{description = "1000", data = 1000}
        }, 
        default = 800,
    },
	{
        name = "SPIKE_USES",
        label = "Tentacle spike uses",
        options = 
        {
            {description = "100 (default)", data = 100},
            {description = "200", data = 200},
			{description = "300", data = 300},
			{description = "400", data = 400},
			{description = "500", data = 500}
        }, 
        default = 400,
    },
	{
        name = "BOOMERANG_USES",
        label = "Boomrang uses",
        options = 
        {
            {description = "10 (default)", data = 10},
            {description = "20", data = 20},
			{description = "30", data = 30},
			{description = "40", data = 40},
			{description = "50", data = 50}
        }, 
        default = 10,
    },
	{
        name = "NIGHTSWORD_USES",
        label = "Dark sword uses",
        options = 
        {
            {description = "100 (default)", data = 100},
            {description = "200", data = 200},
			{description = "300", data = 300},
			{description = "400", data = 400},
			{description = "500", data = 500}
        }, 
        default = 400,
    },
	{
        name = "HAMBAT_USES",
        label = "Ham Bat uses",
        options = 
        {
            {description = "100 (default)", data = 100},
            {description = "200", data = 200},
			{description = "300", data = 300},
			{description = "400", data = 400},
			{description = "500", data = 500}
        }, 
        default = 300,
    },
	{
        name = "BATBAT_USES",
        label = "Bat Bat uses",
        options = 
        {
            {description = "75 (default)", data = 75},
            {description = "150", data = 150},
			{description = "225", data = 225},
			{description = "300", data = 300},
			{description = "375", data = 375}
        }, 
        default = 75,
    },
	{
        name = "RUINS_BAT_USES",
        label = "Thulecite Club uses",
        options = 
        {
            {description = "150 (default)", data = 150},
            {description = "300", data = 300},
			{description = "450", data = 450},
			{description = "600", data = 600},
			{description = "750", data = 750}
        }, 
        default = 750,
    },
	{
		name = "TAIL_O_THREE_CATS_USES",
		label = "Tail o Three Cats uses",
		options =
		{
			{description = "175 (default)", data = 175},
			{description = "350", data = 350},
			{description = "525", data = 525},
			{description = "700", data = 700},
			{description = "875", data = 875}
		},
		default = 875,
	},
    {
        name = "MINERHAT_LIGHTTIME",
        label = "Miner's Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 5,
    },
	{
        name = "LANTERN_LIGHTTIME",
        label = "Lantern durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 5,
    },
	{
        name = "SPIDERHAT_PERISHTIME",
        label = "Spider Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 5,
    },
	{
        name = "ONEMANBAND_PERISHTIME",
        label = "One-man Band durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 1,
    },
	{
        name = "GRASS_UMBRELLA_PERISHTIME",
        label = "Pretty Parasol durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 1,
    },
	{
        name = "UMBRELLA_PERISHTIME",
        label = "Umbrella durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 1,
    },
	{
        name = "EYEBRELLA_PERISHTIME",
        label = "Eyebrella durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 2,
    },
	{
        name = "STRAWHAT_PERISHTIME",
        label = "Straw Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 1,
    },
	{
        name = "EARMUFF_PERISHTIME",
        label = "Rabbit Earmuffs durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 1,
    },
	{
        name = "WINTERHAT_PERISHTIME",
        label = "Winter Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 1,
    },
	{
        name = "BEEFALOHAT_PERISHTIME",
        label = "Beefalo Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 2,
    },
	{
        name = "TRUNKVEST_PERISHTIME",
        label = "Breezy Vest & Puffy Vest durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 2,
    },
	{
        name = "REFLECTIVEVEST_PERISHTIME",
        label = "Summer Vest durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 3,
    },
	{
        name = "HAWAIIANSHIRT_PERISHTIME",
        label = "Floral Shirt durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 4,
    },
	{
        name = "SWEATERVEST_PERISHTIME",
        label = "Dapper Vest durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 2,
    },
	{
        name = "HUNGERBELT_PERISHTIME",
        label = "Belt of Hunger durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 2,
    },
	{
        name = "BEARGERVEST_PERISHTIME",
        label = "Hibearnation Vest durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 2,
    },
	{
        name = "RAINCOAT_PERISHTIME",
        label = "Rain Coat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 3,
    },
	{
        name = "WALRUSHAT_PERISHTIME",
        label = "Tam o' Shanter durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 2,
    },
	{
        name = "FEATHERHAT_PERISHTIME",
        label = "Feather Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 3,
    },
	{
        name = "TOPHAT_PERISHTIME",
        label = "Top Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 4,
    },
	{
        name = "MOLEHAT_PERISHTIME",
        label = "Moggles durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 4,
    },
	{
        name = "ICEHAT_PERISHTIME",
        label = "Ice Cube durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 1,
    },
	{
        name = "RAINHAT_PERISHTIME",
        label = "Rain Hat durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 3,
    },
	{
        name = "CATCOONHAT_PERISHTIME",
        label = "Cat Cap durability multiplicator",
        options = 
        {
            {description = "x1 (default)", data = 1},
            {description = "x2", data = 2},
			{description = "x3", data = 3},
			{description = "x4", data = 4},
			{description = "x5", data = 5}
        }, 
        default = 3,
    },
{
        name = "ICESTAFF_USES",
        label = "Ice Staff uses",
        options = 
        {
            {description = "20 (default)", data = 20},
            {description = "40", data = 40},
			{description = "60", data = 60},
			{description = "80", data = 80},
			{description = "100", data = 100}
        }, 
        default = 20,
    },
	{
        name = "FIRESTAFF_USES",
        label = "Fire Staff uses",
        options = 
        {
            {description = "20 (default)", data = 20},
            {description = "40", data = 40},
			{description = "60", data = 60},
			{description = "80", data = 80},
			{description = "100", data = 100}
        }, 
        default = 20,
    },
	{
        name = "YELLOWSTAFF_USES",
        label = "Star Caller's Staff uses",
        options = 
        {
            {description = "20 (default)", data = 20},
            {description = "40", data = 40},
			{description = "60", data = 60},
			{description = "80", data = 80},
			{description = "100", data = 100}
        }, 
        default = 40,
    },
	{
        name = "ORANGESTAFF_USES",
        label = "The Lazy Explorer uses",
        options = 
        {
            {description = "20 (default)", data = 20},
            {description = "40", data = 40},
			{description = "60", data = 60},
			{description = "80", data = 80},
			{description = "100", data = 100}
        }, 
        default = 40,
    },
	{
        name = "GREENSTAFF_USES",
        label = "Deconstruction Staff uses",
        options = 
        {
            {description = "5 (default)", data = 5},
            {description = "10", data = 10},
			{description = "15", data = 15},
			{description = "20", data = 20},
			{description = "25", data = 25}
        }, 
        default = 25,
    },
	{
        name = "TELESTAFF_USES",
        label = "Telelocator Staff uses",
        options = 
        {
            {description = "5 (default)", data = 5},
            {description = "10", data = 10},
			{description = "15", data = 15},
			{description = "20", data = 20},
			{description = "25", data = 25}
        }, 
        default = 20,
    },
	{
        name = "TORNADOSTAFF_USES",
        label = "Weather Pain uses",
        options = 
        {
            {description = "15 (default)", data = 15},
            {description = "30", data = 30},
			{description = "45", data = 45},
			{description = "60", data = 60},
			{description = "75", data = 75}
        }, 
        default = 15,
    },
	{
        name = "REDAMULET_USES",
        label = "Life Giving Amulet uses",
        options = 
        {
            {description = "20 (default)", data = 20},
            {description = "40", data = 40},
			{description = "60", data = 60},
			{description = "80", data = 80},
			{description = "100", data = 100}
        }, 
        default = 100,
    },
	{
        name = "BLUEAMULET_FUEL",
        label = "Chilled Amulet durability",
        options = 
        {
            {description = "6min (default)", data = 1},
            {description = "12min", data = 2},
			{description = "18min", data = 3},
			{description = "24min", data = 4},
			{description = "30min", data = 5}
        }, 
        default = 5,
    },
	{
        name = "PURPLEAMULET_FUEL",
        label = "Nightmare Amulet durability",
        options = 
        {
            {description = "3min 12sec (default)", data = 1},
            {description = "6min 24sec", data = 2},
			{description = "9min 36sec", data = 3},
			{description = "12min 48sec", data = 4},
			{description = "16min", data = 5}
        }, 
        default = 5,
    },
	{
        name = "YELLOWAMULET_FUEL",
        label = "Magiliminescence durability",
        options = 
        {
            {description = "8min (default)", data = 1},
            {description = "16min", data = 2},
			{description = "24min", data = 3},
			{description = "32min", data = 4},
			{description = "40min", data = 5}
        }, 
        default = 5,
    },
	{
        name = "ORANGEAMULET_USES",
        label = "The Lazy Forager uses",
        options = 
        {
            {description = "225 (default)", data = 225},
            {description = "450", data = 450},
			{description = "675", data = 675},
			{description = "1000", data = 1000},
			{description = "1225", data = 1225}
        }, 
        default = 1000,
    },
	{
        name = "GREENAMULET_USES",
        label = "Construction Amulet uses",
        options = 
        {
            {description = "5 (default)", data = 5},
            {description = "10", data = 10},
			{description = "15", data = 15},
			{description = "20", data = 20},
			{description = "25", data = 25}
        }, 
        default = 25,
    },
	{
        name = "rendiao",
        label = "Body biggest drop",
        hover = "The maximum number of drop character of body.",
        options =
        {
            {description = "None", data = 0, hover = ""},
            {description = "1",  data = 1,  hover = ""},
            {description = "2",  data = 2,  hover = ""},
            {description = "3",  data = 3,  hover = ""},
            {description = "4",  data = 4,  hover = ""},
            {description = "5",  data = 5,  hover = ""},
            {description = "6",  data = 6,  hover = ""},
            {description = "7",  data = 7,  hover = ""},
            {description = "8",  data = 8,  hover = ""},
            {description = "9",  data = 9,  hover = ""}
        },
        default = 0,
    },
    {
        name = "baodiao",
        label = "Backpack biggest drop",
        hover = "The maximum number of drop character of backpack.",
        options =
        {
            {description = "None", data = 0, hover = ""},
            {description = "1",  data = 1,  hover = ""},
            {description = "2",  data = 2,  hover = ""},
            {description = "3",  data = 3,  hover = ""},
            {description = "4",  data = 4,  hover = ""},
            {description = "5",  data = 5,  hover = ""},
            {description = "6",  data = 6,  hover = ""},
            {description = "7",  data = 7,  hover = ""},
            {description = "8",  data = 8,  hover = ""},
            {description = "9",  data = 9,  hover = ""}
        },
        default = 0,
    },
    {
        name = "zbdiao",
        label = "Equipment drops",
        hover = "Death is inevitable drop equipment. \n Prevent soul state equipment durability.",
        options =
        {
            {description = "On", data = true, hover = ""},
            {description = "Off",  data = false,  hover = ""}
        },
        default = false,
    },
    {
        name = "amudiao",
        label = "Life Giving Amulet of filter",
        hover = "Death is inevitable drop a Life Giving Amulet.",
        options =
        {
            {description = "On", data = true, hover = ""},
            {description = "Off",  data = false,  hover = ""}
        },
        default = false,
    },
	{
        name = "food_style",
        label = "Food Style",
        options = 
        {
            {description = "undefined", data = 0, hover = "?"},
            {description = "long", data = 1, hover = "Hunger: +12.5 / Sanity: -10 / Health: +3"},
            {description = "short", data = 2, hover = "+12.5 / -10 / +3"},
        }, 
        default = 0,
    },
	{
        name = "food_order",
        label = "Food Properties Order",
        options = 
        {
            {description = "undefined", data = 0, hover = "?"},
            {description = "interface", data = 1, hover = "Hunger / Sanity / Health"},
            {description = "wikia", data = 2, hover = "Health / Hunger / Sanity"},
        }, 
        default = 0,
    },
	{
        name = "food_estimation",
        label = "Estimate Stale Status",
		hover = "Should we estimate the stale status?",
        options = 
        {
            {description = "undefined", data = -1, hover = "Yes"},
            {description = "No", data = 0, hover = "No"},
            {description = "Yes", data = 1, hover = "Yes"},
        }, 
        default = -1,
    },
	{
        name = "show_food_units",
        label = "Show Food Units",
		hover = "For example, units of meat, units of veggie etc.",
        options = 
        {
            {description = "undefined", data = -1, hover = "Yes"},
            {description = "No", data = 0, hover = "No"},
            {description = "Yes", data = 1, hover = "Yes"},
			{description = "Forbidden", data = 2, hover = "Server won't send food info to clients\nand their settings will not matter."},
        }, 
        default = -1,
    },
	{
        name = "lang",
        label = "Language",
		--hover = "",
        options = 
        {
            {description = "Auto", data = "auto", hover = "Detect Language Pack"},
            {description = "en", data = "en", hover = "English"},
            {description = "ru", data = "ru", hover = "Russian"},
            {description = "chs", data = "chs", hover = "Simplified Chinese"},
            {description = "cht", data = "cht", hover = "Traditional Chinese"},
            {description = "br", data = "br", hover = "Brazilian Portuguese"},
            {description = "pl", data = "pl", hover = "Polish"},
            {description = "kr", data = "kr", hover = "Korean"},
            {description = "es", data = "es", hover = "Spanish"},
        }, 
        default = "auto",
    },
			{
		name = "Amount_of_15",
		label = "Amount of super huge islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "25",   data = "25"},
		},
			default = "25",
	},
			{
		name = "Amount_of_14",
		label = "Amount of super huge islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "5",   data = "5"},
		},
			default = "0",
	},
			{
		name = "Amount_of_13",
		label = "Amount of super huge islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "5",   data = "5"},
		},
			default = "0",
	},
			{
		name = "Amount_of_12",
		label = "Amount of super huge islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "5",   data = "5"},
		},
			default = "0",
	},
			{
		name = "Amount_of_11",
		label = "Amount of super huge islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "5",   data = "5"},
		},
			default = "0",
	},
		{
		name = "Amount_of_10",
		label = "Amount of super huge islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "10",   data = "10"},
		},
			default = "10",
	},
	{
		name = "Amount_of_9",
		label = "Amount of huge islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "10",   data = "10"},
			{description = "15",   data = "15"},
		},
			default = "15",
	},
	{
		name = "Amount_of_8",
		label = "Amount of very large islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "3",   data = "3"},
			{description = "10",   data = "10"},
			{description = "15",   data = "15"},
		},
			default = "15",
	},
	{
		name = "Amount_of_7",
		label = "Amount of large islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "3",   data = "3"},
			{description = "4",   data = "4"},
			{description = "10",   data = "10"},
		},
			default = "10",
	},
	{
		name = "Amount_of_6",
		label = "Amount of very big islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "3",   data = "3"},
			{description = "4",   data = "4"},
			{description = "5",   data = "5"},
			{description = "10",   data = "10"},
		},
			default = "5",
	},
	{
		name = "Amount_of_5",
		label = "Amount of big islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "3",   data = "3"},
			{description = "4",   data = "4"},
			{description = "5",   data = "5"},
			{description = "6",   data = "6"},
			{description = "10",   data = "10"},
		},
			default = "5",
	},
	{
		name = "Amount_of_4",
		label = "Amount of normal islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "3",   data = "3"},
			{description = "4",   data = "4"},
			{description = "5",   data = "5"},
		},
			default = "0",
	},
	{
		name = "Amount_of_3",
		label = "Amount of small islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "3",   data = "3"},
			{description = "4",   data = "4"},
			{description = "10",   data = "10"},
		},
			default = "0",
	},
	{
		name = "Amount_of_2",
		label = "Amount of tiny islands",
		options = {			
			{description = "0",   data = "0"},
			{description = "1",   data = "1"},
			{description = "2",   data = "2"},
			{description = "3",   data = "3"},
		},
			default = "0",
	},
	{
		name = "Amount_of_ExitPortals",
		label = "Amount of exit portals",
		options = {			
			{description = "few",      data = "4"},
			{description = "normal",   data = "2"},
			{description = "a lot",    data = "1"},
		},
			default = "1",
	},
	
}






--Adds a priority to the mod. Loads it before or after other mods. This can help to fix various incompatibilities between other mods.
priority = -778877