local RenewableResourceComponent = Class(function(self, inst)
    self.inst = inst
	self.delay = 0
	self.shouldAdd = TheWorld.components.ResourceRespawnerComponent.shouldAdd
end)

function RenewableResourceComponent:OnRemoveEntity()
	if self.shouldAdd then
		TheWorld.components.ResourceRespawnerComponent:AddInstance(self.inst, self.delay)
	end
end

function RenewableResourceComponent:OnSave()
	return {
		delay = self.delay,
		shouldAdd = self.shouldAdd
	}
end

function RenewableResourceComponent:OnLoad(data)
	if data then
		self.delay = data.delay
		self.shouldAdd = data.shouldAdd
	end
end

function RenewableResourceComponent:GetDebugString()
    return string.format("delay: %s, shouldAdd: %s", tostring(self.delay), tostring(self.shouldAdd))
end

function RenewableResourceComponent:__tostring()
    return string.format("[RenewableResourceComponent delay=%s, shouldAdd=%s]", tostring(self.delay), tostring(self.shouldAdd))
end

return RenewableResourceComponent
