local assets =
{
    Asset("anim", "anim/bell.zip"),
    Asset("ATLAS", "images/bell.xml"),
    Asset("IMAGE", "images/bell.tex"),
}


local function shine(inst)
    inst.task = nil
    inst.AnimState:PlayAnimation("sparkle")
    inst.AnimState:PushAnimation("idle")
    inst.task = inst:DoTaskInTime(4 + math.random() * 5, shine)
end


local function OnPlayed(inst, musician)
	c_announce("Island bell")
end


local function fn()

    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst:AddTag("bell")
    inst.AnimState:SetBank("bell")
    inst.AnimState:SetBuild("bell")
    inst.AnimState:PlayAnimation("idle")


    --inst.AnimState:SetBank("pan_flute")
    --inst.AnimState:SetBuild("pan_flute")
    --inst.AnimState:PlayAnimation("idle")


    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")
--    inst:AddComponent("inventoryitem")

--    inst:AddComponent("inventoryitem")
--    inst.components.inventoryitem.imagename = "bell"
--    inst.components.inventoryitem.atlasname = "images/bell.xml"

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "bell"
    inst.components.inventoryitem.atlasname = "images/bell.xml"




    inst:AddComponent("instrument")
    inst.components.instrument.onplayed = OnPlayed

    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.PLAY)

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.PANFLUTE_USES)
    inst.components.finiteuses:SetUses(TUNING.PANFLUTE_USES)
    inst.components.finiteuses:SetOnFinished(inst.Remove)
    inst.components.finiteuses:SetConsumption(ACTIONS.PLAY, 1)



    shine(inst)
    return inst
end

return Prefab("bell", fn, assets)