local assets =
    {
        Asset("ANIM", "anim/nightmaretreat.zip"),
 
        Asset("ATLAS", "images/inventoryimages/nightmaretreat.xml"),
        Asset("IMAGE", "images/inventoryimages/nightmaretreat.tex"),
    }

local prefabs=
{
    "koko",
    "small_puff"
}

local function fn(Sim)
 
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)
     
    anim:SetBank("nightmaretreat")
    anim:SetBuild("nightmaretreat")
    anim:PlayAnimation("idle")
 
    if not TheWorld.ismastersim then
        return inst
    end

    inst.entity:SetPristine()

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "nightmaretreat"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/nightmaretreat.xml"

    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("tradable")
    inst:AddComponent("edible")
    inst.components.edible.foodtype = FOODTYPE.GENERIC
    inst.components.edible.healthvalue = -5
    inst.components.edible.hungervalue = 35
    inst.components.edible.sanityvalue = -100

    return inst
end
return  Prefab("common/inventory/nightmaretreat", fn, assets)
